PETSc version 3.15.5
Fix/Edit manual page

# MatMultTransposeConstrained

The inner multiplication routine for a constrained matrix P^T A^T P.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultTransposeConstrained(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

| y | - the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMult(A,y,y).

### See Also

MatMult(), MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

### Level

beginner

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages